Installing compilers under Ubuntu

Started by sebswed, January 19, 2013, 05:39:33 pm

Previous topic - Next topic

sebswed

January 19, 2013, 05:39:33 pm Last Edit: January 19, 2013, 07:13:03 pm by sebswed
Hi there.

My A13 with onboard wifi is booting perfectly and now I would like to create my first Hello world program as described on https://www.olimex.com/wiki/Programming_for_A13_in_debian. I have added the deb http://www.emdebian.org/debian/ squeeze main to my /etc/apt/sources.list.

When doing the apt-get update I get the following error in my Ubuntu terminal:
Reading package lists... Done
W: GPG error: http://www.emdebian.org squeeze InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY B5B7720097BB3B58
root@Uniscan:/home/sebastiaan#


Could someone tell me if I need to change a setting somewhere or change the command in the terminal?

I forgot to mention that I'm planing to cross compile so this needs to be installed on my netbook running Ubuntu

Kind regards,
Sebastiaan

jwischka

I have no idea why that wiki is telling you to get the armel toolchain - while I haven't installed the linaro image, I would assume since linaro is moving to armhf that you want the armhf toolchain, and since the whole arm movement is headed toward hf, it's the one you'd want anyway (unless linaro is armel... so check that first...)

That said, you shouldn't have to add the additional repository - I'd just open the package manager and install gcc, g++, gcc-4.6-arm-linux-gnueabi-base, gcc-arm-linux-gnueabihf, g++-arm-linux-gnueabihf, and cpp-arm-linux-gnueabihf - and obviously all of the dependencies as well.


JohnS

Those look the right ones.  I also had to install makeinfo texinfo & zlib1g-dev
possibly a few more, too.

Bernd

You also need to install the key for the repository:

apt-get install emdebian-archive-keyring

JohnS

Why is it needed?  I didn't need it...

Er... and what does it do?

Bernd

It installs the pgp key which is necessary to check the signatures of the packages from the repository. The error message in the post indicates that the problem is that that the signature cannot be verified. This indicates that something like a key is missing.

Here is the wiki page I read to find out how to install the toolchain.

http://wiki.debian.org/EmdebianToolchain

Maybe on your system the key was already installed, so it was working fine.

JohnS

OK.  I didn't need to install any of emdebian, either.

Bernd

That might be the reason why you didn't need the key. :-)

jwischka

Yeah - emdebian is really an embedded version of debian, which is not strictly speaking necessary for an install here - the compilers you can get from the main armhf wheezy repos are sufficient for programming.

sebswed

Thank you all for your input.

I have now installed (version)

  • Eclipse (3.8.0)

  • gcc (4:4.7.2-1 ubuntu2)

  • g++ (4:4.7.2-1 ubuntu2)

  • gcc-4.6-arm-linux-gnueabi-base (4.6.3-8ubuntu1cross1.67)

  • gcc-arm-linux-gnueabihf + dependencies (4.7.2-1ubuntu1cross1.70)

  • g++-arm-linux-gnueabihf + dependencies (4:4.7.2-1)

  • cpp-arm-linux-gnueabihf (4:4.7.2-1)

  • texinfo (4.13a.dfsg.1-10ubuntu2)

  • zlib1g-dev (1:1.2.7.dfsg-13)



I could not find the makeinfo in my package manager. I don't know if this is causing trouble for me?
If its not an essential component, do I have everything installed to create a program for my A13 wifi board?
I'm planning on programming on my ubuntu netbook and transfer the file to my Olimex board running a Linaro image (I can change this image to the revision 7 debian if required or advised).

I'm thankful for input and advise.

JohnS

Try building u-boot / kernel / etc.  If anything fails install missing stuff & try again.  Repeat etc.

Eos

#sudo apt-get update
#sudo apt-get install build-essential